# Az allapotgepeket nem csak egymasba agyazott if-else
# szerkezetekkel lehet lekodolni. Sot nagyobb tablazatokat
# kifejezetten nem erdemes ugy.
# 
# Ehelyett kihasznalhatjuk azt, hogy az allapotatmeneti tabla
# es a tevekenysegtabla mind ketdimenziosak - az egyes
# allapotatmeneteket es tevekenysegeket igy eltarolhatjuk egy
# ketdimenzios listaban.
# 
# A tomb minden cellaja egy uj allapotot es egy tevekenyseget
# tarol. A tevekenyseget az ly szamlalos programnal eltarolhatjuk
# olyan formaban, hogy beleirjuk a tombbe, mennyivel kell epp a
# szamlalot novelni.
# 
# A tablazatbol torteno kiolvasasnak a feltetele az, hogy mind
# az allapotokhoz, mind az esemenyekhez (karakterekhez) egy
# egesz szamot rendeljunk, amely a tablazatnak a sor- es
# oszlopszama lesz. Az allapotoknal a hozzarendeles a
# szamozassal automatikusan megtortenik, a karaktereknel nekunk
# kell ezt elvegezni.

import sys

ALAP = 0        # állapot → 0...2 egész szám
L_VOLT = 1
LL_VOLT = 2

def karakterosztaly(c): # char típusa → 0...2 egész szám
    if c == 'l': return 0
    if c == 'y': return 1
    return 2

allapotgep = [
    [(L_VOLT, 0),  (ALAP, 0), (ALAP, 0)], 
    [(LL_VOLT, 0), (ALAP, 1), (ALAP, 0)], 
    [(LL_VOLT, 0), (ALAP, 2), (ALAP, 0)], 
]

def main():
    szaml = 0
    
    allapot = ALAP
    while True:
        c = sys.stdin.read(1)
        if c == "": break
        
        kar = karakterosztaly(c)
        ujallapot, novekmeny = allapotgep[allapot][kar]
        
        szaml += novekmeny
        allapot = ujallapot

    print(szaml, "db ly volt.")

main()
